<template>
  <bank-details-form :user-id="authInfo.id"></bank-details-form>
</template>

<script lang="ts">
import BankDetailsForm from '@/components/bank-details/BankDetailsForm.vue';
import Vue from 'vue';
import Component from 'vue-class-component';
import { AuthInfoResponse } from '@/domain/response/auth/info/AuthInfoResponse';

@Component({
  components: {
    BankDetailsForm
  }
})
export default class BankDetails extends Vue {
  private get authInfo(): AuthInfoResponse {
    return this.$store.getters['auth/info'];
  }
}
</script>

<style scoped></style>
